SpeciesDiscovery (gCube Species Discovery 3.3.0-SNAPSHOT API)
Date: 2013-07-19

org.gcube.portlets.user.speciesdiscovery.client

## Class SpeciesDiscovery

- java.lang.Object
- - org.gcube.portlets.user.speciesdiscovery.client.SpeciesDiscovery

- All Implemented Interfaces:
    com.google.gwt.core.client.EntryPoint

      public class SpeciesDiscovery
      extends Object
      implements com.google.gwt.core.client.EntryPoint

  Entry point classes define `onModuleLoad()`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected com.extjs.gxt.ui.client.widget.ContentPanel` | `mainPanel`
    `static String` | `SPECIES_DISCOVERY_DIV`
    `static TaxonomySearchServiceAsync` | `taxonomySearchService`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpeciesDiscovery()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `createSearchPanel()`
    `void` | `onModuleLoad()` This is the entry point method.
    `void` | `onModuleLoad2()`
    `void` | `updateSize()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SPECIES_DISCOVERY_DIV

          public static final String SPECIES_DISCOVERY_DIV

      See Also:
        Constant Field Values

    - #### taxonomySearchService

          public static TaxonomySearchServiceAsync taxonomySearchService

    - #### mainPanel

          protected com.extjs.gxt.ui.client.widget.ContentPanel mainPanel

  - ### Constructor Detail

    - #### SpeciesDiscovery

          public SpeciesDiscovery()

  - ### Method Detail

    - #### onModuleLoad

          public void onModuleLoad()

      This is the entry point method.
      Specified by:
        `onModuleLoad` in interface `com.google.gwt.core.client.EntryPoint`

    - #### onModuleLoad2

          public void onModuleLoad2()

    - #### createSearchPanel

          protected void createSearchPanel()

    - #### updateSize

          public void updateSize()

Copyright © 2013. All Rights Reserved.